Dns Records
Alle Operationen rund um Dns Records.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| DNS Record | dns_record |
14 | — | asset_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/dns_records |
Create dns_record | Create a new dns_record in the active tenant. |
DELETE |
/v1/dns_records/{id} |
Delete dns_record | Soft delete entity. |
GET |
/v1/dns_records/{id} |
Get dns_record by id | Fetch a single dns_record. |
GET |
/v1/dns_records/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/dns_records/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/dns_records/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/dns_records |
List dns_records | List dns_records for the active tenant. |
PATCH |
/v1/dns_records/{id} |
Patch dns_record | JSON Merge Patch update. |
POST |
/v1/dns_records/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/dns_records/{id}/transition |
POST /v1/dns_records/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/dns_records/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/dns_records/{id} |
Replace dns_record | Full replace with optimistic locking. |